import axios from "axios";

// URL na Food API - získání jídelních lístků restaurací
const foodUrl = process.env.FOOD_API_URL || 'http://localhost:3002';

export const fetchMenus = async () => {
    try {
        return await axios.get(foodUrl, { params: { mock: !!process.env.MOCK_DATA } }).then(res => res.data);
    } catch (error) {
        console.error("Chyba při volání Food API", error);
        return {};
    }
}